Only have pip installed for python version 2.7

https://www.codecademy.com/paths/computer-science/tracks/cspath-python-objects/modules/cspath-modules/videos/learn-python3-pipenv

The video in the above link, says to enter “pip --version” as it should show python 3.7

But I keep on getting it for python 2.7 as below

MDs-MacBook-Pro:~ mdjurshad.binshafiq$ pip --version
pip 6.1.1 from /Library/Python/2.7/site-packages (python 2.7)

Can anyone tell me how to fix it.
I already installed python 3.7 and intalled pip using “sudo easy_install pip”

Please help

Hello @rawmy, welcome to the forums :slight_smile:. Have you tried pip3 --version?

I just found that last night. This actually solves the problem. Thanks a lot for your reply though.

1 Like

I have the same issue, but even if I typed “pip3 --version” in the terminal, it still shows me python2.7, can you help me with it? thanks